<template>
  <road-textarea :label="label" @roadInput="handleInput" :value="value" />
</template>

<script>
export default {
  name: 'custom-text-field',
  props: {
    name: String,
    label: String,
    value: String
  },
  methods: {
    handleInput (e) {
      this.$emit('input', e.target.value)
    }
  }
}
</script>

<style lang="scss" scoped>
  .custom-text-field {
    display: flex;
    flex-direction: column;
  }
</style>